import java.io.IOException;
import java.net.InetAddress;
import java.net.Socket;

public class Class422 {

   public int anInt5343 = -337816290;
   public String aString5344;
   public int anInt5345 = 333245189;
   public int anInt5346;
   boolean aBool5347 = true;
   boolean aBool5348 = false;


   public Socket method7189() throws IOException {
      return !this.aBool5348?new Socket(InetAddress.getByName(this.aString5344), this.aBool5347?this.anInt5345 * -1529588289:33910539 * this.anInt5343):Class332.method6160(this.aString5344, this.aBool5347?-1529588289 * this.anInt5345:this.anInt5343 * 33910539, -1592015818).method7342((byte)1);
   }

   public Socket method7190(short var1) throws IOException {
      return !this.aBool5348?new Socket(InetAddress.getByName(this.aString5344), 43594):Class332.method6160(this.aString5344, this.aBool5347?-1529588289 * this.anInt5345:this.anInt5343 * 33910539, -1229015810).method7342((byte)1);
   }

   public void method7191(byte var1) {
      if(!this.aBool5347) {
         this.aBool5347 = true;
         this.aBool5348 = true;
      } else if(this.aBool5348) {
         this.aBool5348 = false;
      } else {
         this.aBool5347 = false;
      }

   }

   public boolean method7192(Class422 var1, int var2) {
      return var1 == null?false:var1.anInt5346 * -72158445 == this.anInt5346 * -72158445 && this.aString5344.equals(var1.aString5344);
   }

   public void method7193() {
      if(!this.aBool5347) {
         this.aBool5347 = true;
         this.aBool5348 = true;
      } else if(this.aBool5348) {
         this.aBool5348 = false;
      } else {
         this.aBool5347 = false;
      }

   }

   public Socket method7194() throws IOException {
      return !this.aBool5348?new Socket(InetAddress.getByName(this.aString5344), this.aBool5347?this.anInt5345 * -1529588289:33910539 * this.anInt5343):Class332.method6160(this.aString5344, this.aBool5347?-1529588289 * this.anInt5345:this.anInt5343 * 33910539, -1523397239).method7342((byte)1);
   }

   public boolean method7195(Class422 var1) {
      return var1 == null?false:var1.anInt5346 * -72158445 == this.anInt5346 * -72158445 && this.aString5344.equals(var1.aString5344);
   }

   public boolean method7196(Class422 var1) {
      return var1 == null?false:var1.anInt5346 * -72158445 == this.anInt5346 * -72158445 && this.aString5344.equals(var1.aString5344);
   }

   public boolean method7197(Class422 var1) {
      return var1 == null?false:var1.anInt5346 * -72158445 == this.anInt5346 * -72158445 && this.aString5344.equals(var1.aString5344);
   }

   static final void method7198(Class124 var0, Class508 var1, int var2) {
      int var3 = var1.anIntArray6027[(var1.anInt6003 -= 98312473) * -937710807];
      int var4 = var1.anIntArray6027[(var1.anInt6003 -= 98312473) * -937710807] - 1;
      if(var0.anInt1410 * -1001045855 != 2) {
         throw new RuntimeException("");
      } else {
         Class411 var5 = Class40.aClass388_439.method6647(var0.anInt1411 * -1781327493, 1443177106);
         if(var0.aClass396_1535 == null) {
            var0.aClass396_1535 = new Class396(var5, false);
         }

         var0.aClass396_1535.aLong4883 = Class548.method11777(584456697) * 7467713779253192983L;
         if(var4 >= 0 && var4 < var5.anIntArray5032.length) {
            var0.aClass396_1535.anIntArray4881[var4] = var3;
            Class460.method7767(var0, 594280737);
         } else {
            throw new RuntimeException("");
         }
      }
   }

   public static final void method7199(byte var0) {
      if(-1 != 1478834829 * client.anInt7762 && 1787318205 * client.anInt7732 != -1) {
         int var1 = 24057835 * client.anInt7767 + ((-40455145 * client.anInt7930 - client.anInt7767 * 24057835) * 1134573581 * client.anInt7700 >> 16);
         client.anInt7700 += -2117937467 * var1;
         if(client.anInt7700 * 1134573581 >= '\uffff') {
            client.anInt7700 = 1426204987;
            if(!client.aBool7770) {
               client.aBool7632 = true;
            } else {
               client.aBool7632 = false;
            }

            client.aBool7770 = true;
         } else {
            client.aBool7632 = false;
            client.aBool7770 = false;
         }

         float var2 = (float)(1134573581 * client.anInt7700) / 65535.0F;
         float[] var3 = new float[3];
         int var4 = -1887373750 * client.anInt7764;

         int var7;
         int var8;
         int var9;
         int var10;
         int var11;
         int var12;
         for(int var5 = 0; var5 < 3; ++var5) {
            int var6 = client.anIntArrayArrayArray7752[client.anInt7762 * 1478834829][var4][var5] * 3;
            var7 = client.anIntArrayArrayArray7752[client.anInt7762 * 1478834829][var4 + 1][var5] * 3;
            var8 = 3 * (client.anIntArrayArrayArray7752[1478834829 * client.anInt7762][var4 + 2][var5] - (client.anIntArrayArrayArray7752[client.anInt7762 * 1478834829][3 + var4][var5] - client.anIntArrayArrayArray7752[1478834829 * client.anInt7762][var4 + 2][var5]));
            var9 = client.anIntArrayArrayArray7752[client.anInt7762 * 1478834829][var4][var5];
            var10 = var7 - var6;
            var11 = var6 - 2 * var7 + var8;
            var12 = client.anIntArrayArrayArray7752[client.anInt7762 * 1478834829][2 + var4][var5] - var9 + var7 - var8;
            var3[var5] = var2 * ((float)var10 + ((float)var11 + var2 * (float)var12) * var2) + (float)var9;
         }

         Class548 var18 = client.aClass279_7807.method4909(3575679);
         Class90.anInt895 = -1415269723 * ((int)var3[0] - 1838065152 * var18.anInt7419);
         Class416.anInt5137 = (int)var3[1] * 1544030555;
         Class4.anInt112 = -2025085711 * ((int)var3[2] - -309652992 * var18.anInt7420);
         float[] var19 = new float[3];
         var7 = client.anInt7765 * -1051899454;

         for(var8 = 0; var8 < 3; ++var8) {
            var9 = 3 * client.anIntArrayArrayArray7752[client.anInt7732 * 1787318205][var7][var8];
            var10 = client.anIntArrayArrayArray7752[1787318205 * client.anInt7732][var7 + 1][var8] * 3;
            var11 = (client.anIntArrayArrayArray7752[client.anInt7732 * 1787318205][var7 + 2][var8] - (client.anIntArrayArrayArray7752[client.anInt7732 * 1787318205][3 + var7][var8] - client.anIntArrayArrayArray7752[1787318205 * client.anInt7732][2 + var7][var8])) * 3;
            var12 = client.anIntArrayArrayArray7752[1787318205 * client.anInt7732][var7][var8];
            int var13 = var10 - var9;
            int var14 = var11 + (var9 - 2 * var10);
            int var15 = client.anIntArrayArrayArray7752[client.anInt7732 * 1787318205][2 + var7][var8] - var12 + var10 - var11;
            var19[var8] = var2 * ((float)var13 + ((float)var14 + var2 * (float)var15) * var2) + (float)var12;
         }

         float var20 = var19[0] - var3[0];
         float var21 = -1.0F * (var19[1] - var3[1]);
         float var22 = var19[2] - var3[2];
         double var16 = Math.sqrt((double)(var22 * var22 + var20 * var20));
         Class365.anInt4603 = ((int)(Math.atan2((double)var21, var16) * 2607.5945876176133D) & 16383) * 5027157;
         Class85.anInt867 = ((int)(-Math.atan2((double)var20, (double)var22) * 2607.5945876176133D) & 16383) * 1910759249;
         Class173.anInt2083 = (client.anIntArrayArrayArray7752[1478834829 * client.anInt7762][var4][3] + (client.anInt7700 * 1134573581 * (client.anIntArrayArrayArray7752[1478834829 * client.anInt7762][2 + var4][3] - client.anIntArrayArrayArray7752[1478834829 * client.anInt7762][var4][3]) >> 16)) * 513020505;
      }
   }

   public static final void method7200(boolean var0, int var1, short var2) {
      Class225_Sub19 var3 = var0?Class225_Sub21_Sub2.aClass225_Sub19_10073:Class383.aClass225_Sub19_4772;
      if(null != var3 && var1 >= 0 && var1 < var3.anInt8570 * 818958679) {
         Class72 var4 = var3.aClass72Array8565[var1];
         if(-1 == var4.aByte685) {
            String var5 = var4.aString687;
            PacketContext var6 = Class35_Sub1.method13169(883808512);
            Class225_Sub15 var7 = Class543.method11415(OutgoingOpcode.aClass302_3864, var6.aClass433_2184, (byte)1);
            var7.buffer.writeByte(3 + Class190.method3320(var5, -10373337), -765864773);
            var7.buffer.writeByte(var0?1:0, -765864773);
            var7.buffer.writeShort(var1, -848693453);
            var7.buffer.writeString(var5, (byte)44);
            var6.method3191(var7, (byte)87);
         }
      }
   }

   static final void method7201(Class508 var0, byte var1) {
      var0.anInt6003 -= 196624946;
      int var2 = var0.anIntArray6027[var0.anInt6003 * -937710807];
      int var3 = var0.anIntArray6027[1 + -937710807 * var0.anInt6003];
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class37.method1058(var2, var3, true, false, -1616329010);
   }
}
